Microsoft Requiring SQL Server Express Sucks...

I have been attempting to try out some new software from Microsoft (including Glidepath and Visual Studio Database Edition).  Both of these require SQL Server Express installed.  Problem is that I install a Developer Edition of SQL Server 2005 (as well as 2000) because it is more feature friendly than SQL Server Express.  Why does Microsoft insist I have a third Database server?  Why can’t it prompt me to tell it what database to use, or at least attempt to find SQL Server 2005 as the default instance on the current machine?  Just stoopid in my opinion.  It’s keeping me from trying out and possibly exhaulting these new interesting projects.

“There I said it…”